Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Class AbstractJava2DUserResource

    java.lang.Object
      org.richfaces.resource.AbstractJava2DUserResource

All Implemented Interfaces:
  Java2DUserResource

    public abstract class AbstractJava2DUserResource

extends java.lang.Object
implements Java2DUserResource

Author:
  Nick Belaevski

Constructor Summary
`AbstractJava2DUserResource(java.awt.Dimension dimension)`
`AbstractJava2DUserResource(ImageType imageType, java.awt.Dimension dimension)`

Method Summary
`java.awt.Dimension` | `getDimension()`
`ImageType` | `getImageType()`
`java.util.Date` | `getLastModified()`
`java.util.Map<java.lang.String,java.lang.String>` | `getResponseHeaders()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.resource.Java2DUserResource
`paint`

Constructor Detail

### AbstractJava2DUserResource

    public AbstractJava2DUserResource(java.awt.Dimension dimension)

### AbstractJava2DUserResource

    public AbstractJava2DUserResource(ImageType imageType,
                                      java.awt.Dimension dimension)

Method Detail

### getImageType

    public ImageType getImageType()

  Specified by:
    `getImageType` in interface `Java2DUserResource`

### getDimension

    public java.awt.Dimension getDimension()

  Specified by:
    `getDimension` in interface `Java2DUserResource`

### getResponseHeaders

    public java.util.Map<java.lang.String,java.lang.String> getResponseHeaders()

  Specified by:
    `getResponseHeaders` in interface `Java2DUserResource`

### getLastModified

    public java.util.Date getLastModified()

  Specified by:
    `getLastModified` in interface `Java2DUserResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.